package com.hs.admin.mapper;

import com.hs.admin.model.SysUser;
import com.hs.admin.model.respmodel.SysUserList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysUserMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SysUser record);

    SysUser selectByPrimaryKey(Integer id);

    List<SysUser> selectAll();

    int updateByPrimaryKey(SysUser record);

    SysUser selectByCode(@Param("userCode") String loginName);

    List<SysUserList> selectUserList();

    SysUserList selectUserById(@Param("id") Integer id);
}